首页 » 操作系统 » Windows » 微软系统面临SSL 3.0漏洞攻击 可禁用协议

微软系统面临SSL 3.0漏洞攻击 可禁用协议

 

Google发布研究报告: SSL 3.0协议存在漏洞 或被黑客攻击利用

  根据Google研究人员公布的报告,SSL 3.0协议中存在一个bug,可被黑客用于截取客户机和服务器之间进行加密的关键数据。
 
  该漏洞允许攻击者发起降级攻击,即欺骗客户端说服务器不支持更安全的安全传输层(TLS)协议,然后强制其转向使用SSL 3.0。在强制客户端采用SSL 3.0与服务器进行通讯之后,黑客就可以利用中间人攻击,解密HTTPs的cookies,获取客户端与服务器的数据。
 
  Google将方式称作POODLE攻击(Padding Oracle On Downgraded Legacy Encryption)。
 
  鉴于目前没有更好的解决方案,Google研究人员强烈建议客户和服务器双方均禁用SSL 3.0。如此一来,服务器和客户端将默认启用更安全的TLS协议。
 
  Google表示将在后续更新中移除旗下所有产品的SSL 3.0支持。事实上,该公司早已放出了一个禁用SSL 3.0的Chromium补丁(https://www.openssl.org/~bodo/ssl-poodle.pdf)。
 
  微软所有版本的 Microsoft Windows ,并都受此漏洞影响,微软建议可以通过修改 Internet Explorer 中的高级安全性设置,可以禁用 SSL 3.0 协议。
 
  若要更改用于 HTTPS 请求的默认协议版本,请执行以下步骤:
 
  1.在互联网浏览器的工具菜单上,单击 Internet 选项。
 
  2.在 Internet 选项对话框中,单击高级选项卡。
 
  3.在安全类别中,取消选中使用 SSL 3.0 并检查使用 TLS 1.0、 使用 TLS 1.1 版和使用 TLS 1.2 (如果可用)。
 
  4.单击确定。
 
  5.退出并重新启动互联网浏览器。
 
受影响的软件/操作系统
  Windows Server 2003 Service Pack 2
  Windows Server 2003 x 64 Service Pack 2
  Windows Server 2003 sp2 为基于 Itanium 的系统
  Windows Vista Service 2 Pack
  Windows Vista x 64 版 Service Pack 2
  Windows Server 2008 为 32 位系统 Service Pack 2
  Windows Server 2008 基于 x64 的 Service Pack 2
  Windows Server 2008 为基于 Itanium 的系统 Service Pack 2
  Windows 7 的 32 位系统 Service Pack 1
  Windows 7 的基于 x64 的系统 Service Pack 1
  Windows Server 2008 R2 为基于 x64 的系统 Service Pack 1
  Windows Server 2008 R2 为基于 Itanium 的系统 Service Pack 1
 
对于 32 位系统的 Windows 8
  Windows 8 的基于 x64 的系统
  Windows 8.1 对于 32 位系统
 
基于 x64 的系统的 Windows 8.1
  Windows 2012 Server
  Windows Server 2012 R2
  RT Windows
  Windows RT 8.1
 
服务器核心安装版本
  Windows Server 2008 for 32-bit Systems Service Pack 2 (Server Core installation)
  Windows Server 2008 for x64-based Systems Service Pack 2 (Server Core installation)
  Windows Server 2008 R2 for x64-based Systems Service Pack 1 (Server Core installation)
  Windows Server 2012 (Server Core installation)
  Windows Server 2012 R2 (Server Core installation)

原文链接:微软系统面临SSL 3.0漏洞攻击 可禁用协议,转载请注明来源!

0